import type { ColorMatrix } from './index';
export declare const LINEAR_RGB_TO_XYZ_D65: ColorMatrix;
export declare const XYZ_D65_TO_LINEAR_RGB: ColorMatrix;
export declare const LMS_TO_OKLAB: ColorMatrix;
export declare const LMS_TO_LINEAR_RGB: ColorMatrix;
export declare const LINEAR_RGB_TO_LMS: ColorMatrix;
export declare const OKLAB_TO_LMS: ColorMatrix;
export interface Cusp {
    L: number;
    C: number;
}
/**
 * finds L_cusp and C_cusp for a given hue
 * a and b must be normalized so a^2 + b^2 == 1
 */
export declare function findCusp(a: number, b: number): Cusp;
/**
 * Finds intersection of the line defined by
 * L = L0 * (1 - t) + t * L1;
 * C = t * C1;
 * a and b must be normalized so a^2 + b^2 == 1
 */
export declare function findGamutIntersection(a: number, b: number, L1: number, C1: number, L0: number): number;
