import type { Color } from './colorspace.js';
import type { ColorOutput } from './parse.js';
export declare type LightenDarkenColorSpace = 'oklab' | 'oklch' | 'linearRGB' | 'sRGB';
/**
 * Darken
 * @param {Color} color Starting color
 * @param {number} value 1 = make fully black, 0 = original color, -1 = make fully white,
 *
 */
export declare function darken(color: Color, value: number, colorSpace?: LightenDarkenColorSpace): ColorOutput;
/**
 * Lighten
 * @param {Color} color Starting color
 * @param {number} value 1 = make fully white, 0 = original color, -1 = make fully black
 *
 */
export declare function lighten(color: Color, value: number, colorSpace?: LightenDarkenColorSpace): ColorOutput;
