import { Color } from './colorspace.js';
import type { ColorOutput } from './parse.js';
export declare type MixColorSpace = 'oklab' | 'oklch' | 'lms' | 'linearRGB' | 'sRGB';
/**
 * Mix colors via LMS (better for preserving hue than Oklab)
 * @param {Color}  color1
 * @param {Color}  color2
 * @param {number} weight
 * @param {string='oklch'} colorSpace
 */
export declare function mix(color1: Color, color2: Color, weight?: number, colorSpace?: MixColorSpace): ColorOutput;
